Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.protocol.classpath
Class ClassPathURLConnection

    java.lang.Object
      |
      +--java.net.URLConnection
            |
            +--com.jxml.protocol.classpath.ClassPathURLConnection

public class ClassPathURLConnection
extends URLConnection

Implements the jxml classpath protocol.

Field Summary
`protected static boolean` | `doOutputDefault` By default, output is permitted if the CLASSPATH starts with ".".

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`ClassPathURLConnection(URL url)` Called by Handler to open a classpath connection.

Method Summary
`void` | `connect()` Opens a connection to the item on the classpath.
`InputStream` | `getInputStream()` Returns an input stream to the item on the classpath.
`OutputStream` | `getOutputStream()` Returns an output stream to the item on the classpath.

Methods inherited from class java.net.URLConnection
`getAllowUserInteraction, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getIfModifiedSince, getLastModified, getPermission, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setRequestProperty, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### doOutputDefault

    protected static boolean doOutputDefault

  By default, output is permitted if the CLASSPATH starts with ".".

Constructor Detail

### ClassPathURLConnection

    public ClassPathURLConnection(URL url)

  Called by Handler to open a classpath connection.

Method Detail

### connect

    public void connect()

  Opens a connection to the item on the classpath.
  Overrides:
    `connect` in class `URLConnection`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Returns an input stream to the item on the classpath.
  Overrides:
    `getInputStream` in class `URLConnection`

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  Returns an output stream to the item on the classpath.
  Overrides:
    `getOutputStream` in class `URLConnection`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD